/// <reference types="react" />
import { ColorStyles } from '../../../types';
import { DropdownItem } from './types';
export declare type DropdownProps = {
    className?: string;
    itemClassName?: string;
    selectedClassName?: string;
    placeholder: string;
    items: Array<DropdownItem>;
    onBlur?: () => void;
    onChange?: (value: any) => void;
    selected?: DropdownItem;
    required?: boolean;
    colorStyle?: ColorStyles;
};
/**
 * A custom select component that allow multiple selection and display chips for the selected items.
 * @param className
 * @param itemClassName
 * @param selectedClassName
 * @param placeholder
 * @param selected
 * @param required
 * @param items
 * @param onChange
 * @param onBlur
 * @constructor
 */
export declare const Dropdown: ({ className, itemClassName, selectedClassName, placeholder, selected, required, items, onChange, onBlur, colorStyle }: DropdownProps) => JSX.Element;
